CFLAGS= -Wall -W -Wmissing-declarations -Wmissing-prototypes -O3 \
        -Wredundant-decls -Wshadow -Wbad-function-cast -Wcast-qual \
	-minline-all-stringops -maccumulate-outgoing-args
LDFLAGS= -lefence
BIN= megasena-stats-lp megasena-stats-ck

all: megasena-stats-lp megasena-stats-ck

megasena-stats-lp: megasena-stats-lp.c
	$(CC) -o $@ $< $(CFLAGS) $(LDFLAGS)

megasena-stats-ck: megasena-stats-ck.c
	$(CC) -o $@ $< $(CFLAGS) $(LDFLAGS)

clean:
	rm -f $(BIN) *~
